{
  lib,
  config,
  namespace,
  ...
}:
with lib;
let
  cfg = config.${namespace}.programs.kitty;
in
{
  imports = [ ./options.nix ];

  config = mkIf cfg.enable {
    programs.kitty = {
      enable = true;
      shellIntegration.enableZshIntegration = true;

      settings = {
        bold_font = "auto";
        italic_font = "auto";
        bold_italic_font = "auto";
        mouse_hide_wait = "2.0";
        cursor_shape = "block";
        url_style = "dotted";
        confirm_os_window_close = "0";
      };
    };
  };
}
